#ifndef OSSO_APPLET_GRAPH_H
#define OSSO_APPLET_GRAPH_H

/* Prototypes for execute and reset */
#include <hildon-cp-plugin/hildon-cp-plugin-interface.h>
#include <gconf/gconf-client.h>
#include <libosso.h>

typedef enum {
	CPU_ON = 1,
	MEM_ON = 1 << 1,
	COMBO = 1 << 2,
	CLOCK = 1 << 3,
} flag;

typedef struct {
	GtkDialog *dialog;
	GtkWidget *combo_check;
	GtkWidget *combo_caption;
	GtkWidget *clock_check;
	GtkWidget *clock_caption;

	GtkDialog *commands_dialog;
	GtkWidget *commands_list;
	GtkWidget *view_up;
	GtkWidget *view_down;

	flag flags;
	gint mem_color;
	gint cpu_color;

	osso_context_t *osso;

	GConfClient *gcc;
} GraphApplet;

#endif
